GuideLab API

Request to join an organization

Submit a request to join an organization. Sends a notification to the organization's owners. Prevents duplicate requests.

POST
/organization/join-request

Submit a request to join an organization. Sends a notification to the organization's owners. Prevents duplicate requests.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/organization/join-request" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string"  }'
{  "success": true,  "joinRequest": {    "id": "string",    "status": "string",    "createdAt": null  }}
Empty
Empty
Empty
Empty
Empty
Empty